<?php

namespace App\Providers;

use App\Models\Banner;
use App\Models\Company;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        $data['info'] = Company::first();
        $data['banner'] = Banner::first();
        view()->share($data);
    }
}
